/*
Copyright (C) 2004-2005 Amour Hassan
                                                                                
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
                                                                                
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
                                                                                
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                                
*/

#include "puck.h"
#include "engine/engine_game.h"
#include <rg3DRom.h>

extern "C" gmThing *spw_phPuck()
{
	return new phPuck();
}

extern "C" int del_phPuck( gmThing *t)
{
	delete t;
	return 0;
}

RPH_THING_MODULE_MAIN_FUNCTION( phPuck)
{
	p_ge->m_thing_manager->add_to_spawn_list( "phPuck", spw_phPuck);

	p_ge->m_thing_manager->add_to_delete_list( "phPuck", del_phPuck);

	return 0;
}

phPuck::phPuck()
{
}

phPuck::~phPuck()
{
}

void phPuck::draw( gmRenderArgs *ra)
{
	// Due to its simplicity, use a display list to render the puck.
	const char dsp[] = "puck";
	if( !get_display_list( dsp)) {
		create_display_list( dsp);
		gen_display_list( dsp);
	}
	draw_display_list( dsp);
}
